gflags2man(1)

NAME
gflags2man - runs a Google flags base program and generates a man page.

SYNOPSIS
gflags2man [FLAGS]...

DESCRIPTION

gflags2man runs a Google flags base program and generates a man page.

Run the program, parse the output, and then format that into a man page.

Usage:
  gflags2man <program> [program] ...

OPTIONS

gflags2man

--dest_dir
    Directory to write resulting manpage to. Specify '-' for stdout
      (default: '/tmp')

-?,--[no]help
    show this help

--help_flag
    Option to pass to target program in to get help
      (default: '--help')

--[no]helpshort
    show usage only for this module

--[no]helpxml
    like --help, but generates XML output

--v verbosity level to use for output
      (default: '0') (an integer)

gflags

--flagfile
    Insert flag definitions from the given file into the command line.

--undefok
    comma-separated list of flag names that it is okay to specify on the command line even if the program does not define a flag with that name. IMPORTANT: flags in this list that have arguments MUST use the --flag=value format.

COPYRIGHT
Copyright © 2010 Google. Gflags2man created this page from "gflags2man --help" output.

Gflags2man was written by Dan Christian. Note that the date on this page is the modification date of gflags2man.